// Generated IDL File (by Great Migrations Studio) 
// Created: 12/3/2025 09:34:54 AM
// Source: C:\gmTestBed\FMStocks\src\FMSLib\bin\FMSStore_Events.dll
// typelib filename: FMSStore_Events.dll
[
    uuid(356C81A0-7A59-4272-9F67-BCFCF2C2415B),
    version(2.0),
    custom(50867B00-BB69-11D0-A8FF-00A0C9110059, "8169")
]
library FMSStore_Events
{
    // TLib : OLE Automation : {00020430-0000-0000-C000-000000000046}
    importlib("stdole2.tlb");

    // Forward declare all types defined in this typelib

    interface _ShoppingCart;
    coclass ShoppingCart;

    [
        odl,
        uuid(86289428-4AE3-4668-948C-9873A8CB9851),
        version(1.0),
        hidden,
        dual,
        nonextensible,
        oleautomation
    ]
    interface _ShoppingCart : IDispatch {
        [id(0x60030000)]
        HRESULT ExecuteBuy([in] long AccountID);
    };

    [
        uuid(D29FC2A1-3BE8-4C07-9F6C-243100A31099),
        version(1.0)
    ]
    coclass ShoppingCart {
        [default] interface _ShoppingCart;
    };

};